Subject: bug#52354: 27.2; bibtex-sort-buffers fails at least for types @PhdThesis and @TechReport

From: Dominik Schrempf <[email-masked]>
Date: Sun, 19 Dec 2021 15:30:13 +0100

Hello!

Thank you for working on this. I just checked with a newer Emacs build including
the fix of bug 52354, and sorting still does not work. I think this is because
the relevant entries (PhdThesis and TechReport) were mistakenly added to
`bibtex-BibTeX-entry-alist`, and not `bibtex-biblatex-entry-alist`.

I am referring to commit af1c5ec0fcd3f25234cfe2986c873ff2e5ed63a0.

Thank you for your help!

Dominik

Lars Ingebrigtsen <[email-masked]> writes:

> Dominik Schrempf <[email-masked]> writes:
>
>> I can reproduce this bug using `emacs -Q`:
>>
>> 1. Start `emacs -Q`.
>> 2. Open the attached bibliography file.
>> 3. `M-x bibtex-set-dialect RET`; `biblatex RET`.
>> 4. `bibtex-sort-buffer`.
>>
>> I expect the middle entry (@PhdThesis) to move to the bottom but nothing
>> happens. The file sorts correctly when the dialect is `BibLateX`, and not
>> changed.
>
> Thanks; with that I was able to reproduce the issue, and I’ve now fixed
> it in Emacs 29.